| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# PSVIItem Class Reference

Represent the PSVI contributions for one element or one attribute information item. More...

Inheritance diagram for PSVIItem:

[legend]
List of all members.

## Public Types

enum | VALIDITY_STATE { VALIDITY_NOTKNOWN = 0, VALIDITY_INVALID = 1, VALIDITY_VALID = 2 }
enum | ASSESSMENT_TYPE { VALIDATION_NONE = 0, VALIDATION_PARTIAL = 1, VALIDATION_FULL = 2 }

## Public Member Functions

virtual XSValue * | getActualValue () const
| Get actual value in the form of XSValue, caller needs to delete the object returned.
Constructors
| PSVIItem (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
virtual | ~PSVIItem ()
PSVIItem methods
const XMLCh * | getValidationContext ()
| [validation context]
VALIDITY_STATE | getValidity () const
| Determine the validity of the node with respect to the validation being attempted.
ASSESSMENT_TYPE | getValidationAttempted () const
| Determines the extent to which the item has been validated.
const XMLCh * | getSchemaNormalizedValue ()
| [schema normalized value]
virtual XSTypeDefinition * | getTypeDefinition ()=0
| An item isomorphic to the type definition used to validate this element.
virtual XSSimpleTypeDefinition * | getMemberTypeDefinition ()=0
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
const XMLCh * | getSchemaDefault ()
| [schema default]
bool | getIsSchemaSpecified () const
| [schema specified]
const XMLCh * | getCanonicalRepresentation () const
| Return the canonical representation of this value.
void | setValidationAttempted (PSVIItem::ASSESSMENT_TYPE attemptType)
void | setValidity (PSVIItem::VALIDITY_STATE validity)
void | reset (const XMLCh *const validationContext, const XMLCh *const normalizedValue, const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType)
| reset the object

## Protected Attributes

MemoryManager *const | fMemoryManager
const XMLCh * | fValidationContext
const XMLCh * | fNormalizedValue
const XMLCh * | fDefaultValue
XMLCh * | fCanonicalValue
VALIDITY_STATE | fValidityState
ASSESSMENT_TYPE | fAssessmentType
bool | fIsSpecified
XSTypeDefinition * | fType
XSSimpleTypeDefinition * | fMemberType

## Detailed Description

Represent the PSVI contributions for one element or one attribute information item.

This is *always* owned by the validator /parser object from which it is obtained. It is designed to be subclassed; subclasses will specify under what conditions it may be relied upon to have meaningful contents.

## Member Enumeration Documentation

enum PSVIItem::ASSESSMENT_TYPE

Enumeration values:

  VALIDATION_NONE | Validation status indicating that schema validation has been performed and the element in question has specifically been skipped.
  VALIDATION_PARTIAL | Validation status indicating that schema validation has been performed on the element in question under the rules of lax validation.
  VALIDATION_FULL | Validation status indicating that full schema validation has been performed on the element.

enum PSVIItem::VALIDITY_STATE

Enumeration values:

  VALIDITY_NOTKNOWN | Validity value indicating that validation has either not been performed or that a strict assessment of validity could not be performed.
  VALIDITY_INVALID | Validity value indicating that validation has been strictly assessed and the element in question is invalid according to the rules of schema validation.
  VALIDITY_VALID | Validity value indicating that validation has been strictly assessed and the element in question is valid according to the rules of schema validation.

## Constructor & Destructor Documentation

PSVIItem::PSVIItem | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

The default constructor.

Parameters:

  | manager | The configurable memory manager

PSVIItem::~PSVIItem | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XSValue* PSVIItem::getActualValue | ( |  | ) | const`[virtual]`

Get actual value in the form of XSValue, caller needs to delete the object returned.

Returns:
  an XSValue

const XMLCh * PSVIItem::getCanonicalRepresentation | ( |  | ) | const

Return the canonical representation of this value.

Note that, formally, this is not a PSVI property.

Returns:
  string representing the canonical representation, if this item was validated by a simple type definition for which canonical representations of values are defined.

bool PSVIItem::getIsSchemaSpecified | ( |  | ) | const

[schema specified]

See also:
  XML Schema Part 1: Structures [schema specified]

Returns:
  true - value was specified in schema, false - value comes from the infoset

virtual XSSimpleTypeDefinition* PSVIItem::getMemberTypeDefinition | ( |  | ) | `[pure virtual]`

If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

Returns:
  a simple type declaration

Implemented in PSVIAttribute, and PSVIElement.

const XMLCh * PSVIItem::getSchemaDefault | ( |  | ) |

[schema default]

Returns:
  The canonical lexical representation of the declaration's {value constraint} value.

See also:
  XML Schema Part 1: Structures [schema default]

const XMLCh * PSVIItem::getSchemaNormalizedValue | ( |  | ) |

[schema normalized value]

See also:
  XML Schema Part 1: Structures [schema normalized value]

Returns:
  the normalized value of this item after validation

virtual XSTypeDefinition* PSVIItem::getTypeDefinition | ( |  | ) | `[pure virtual]`

An item isomorphic to the type definition used to validate this element.

Returns:
  a type declaration

Implemented in PSVIAttribute, and PSVIElement.

PSVIItem::ASSESSMENT_TYPE PSVIItem::getValidationAttempted | ( |  | ) | const

Determines the extent to which the item has been validated.

Returns:
  return the [validation attempted] property. The possible values are VALIDATION_NONE, VALIDATION_ORDERED_PARTIAL and VALIDATION_FULL

const XMLCh * PSVIItem::getValidationContext | ( |  | ) |

[validation context]

Returns:
  A string identifying the nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property) (form to be determined)

See also:
  XML Schema Part 1: Structures [validation context]

PSVIItem::VALIDITY_STATE PSVIItem::getValidity | ( |  | ) | const

Determine the validity of the node with respect to the validation being attempted.

Returns:
  return the [validity] property. Possible values are: VALIDITY_UNKNOWN, VALIDITY_INVALID, VALIDITY_VALID

void PSVIItem::reset | ( | const XMLCh *const | validationContext,
|  | const XMLCh *const | normalizedValue,
|  | const VALIDITY_STATE | validityState,
|  | const ASSESSMENT_TYPE | assessmentType
| ) |

reset the object

Parameters:

  | validationContext | corresponds to schema validation context property
  | normalizedValue | corresponds to schema normalized value property
  | validityState | state of item's validity
  | assessmentType | type of assessment carried out on item

void PSVIItem::setValidationAttempted | ( | PSVIItem::ASSESSMENT_TYPE | attemptType | ) |

void PSVIItem::setValidity | ( | PSVIItem::VALIDITY_STATE | validity | ) |

## Member Data Documentation

ASSESSMENT_TYPE PSVIItem::fAssessmentType `[protected]`

XMLCh* PSVIItem::fCanonicalValue `[protected]`

const XMLCh* PSVIItem::fDefaultValue `[protected]`

bool PSVIItem::fIsSpecified `[protected]`

XSSimpleTypeDefinition* PSVIItem::fMemberType `[protected]`

MemoryManager* const PSVIItem::fMemoryManager `[protected]`

const XMLCh* PSVIItem::fNormalizedValue `[protected]`

XSTypeDefinition* PSVIItem::fType `[protected]`

const XMLCh* PSVIItem::fValidationContext `[protected]`

VALIDITY_STATE PSVIItem::fValidityState `[protected]`

The documentation for this class was generated from the following file:

- PSVIItem.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.